<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Hackers';
$str['block'] = $set['site'].' / Аватар';
include '../style/'.$style.'/head.php';
if (isset($_FILES['files']) and !empty($_FILES['files']))
{
	$dir = '../files/control/'; //Папка в которую загружаем файл

	$file = translit(strtolower(protect(basename($_FILES['files']['name']))));
	$array = array('php', 'sql', 'html', 'php.amr', 'php.html'); //Возможные форматы для загрузки
	$rand = rand(111111, 999999);
	$ex=pathinfo($_FILES['files']['name']);
	$type=mb_strtolower($ex['extension']);
	if (isset($_FILES['files']) && !empty($_FILES['files']))
	{
		if (!in_array(pathinfo($file, PATHINFO_EXTENSION), $array))
		{
			echo '<div class="forum1">Не верный формат файла!</div>';
			include '../style/'.$style.'/foot.php';
			exit;
		}
		else
		{
		if ($_FILES['files']['size'] > 51200) { 
			echo 'Максимальный размер файла 50 кб!<br />';
			include '../style/'.$style.'/foot.php';
			exit;
		} else {
			if (move_uploaded_file($_FILES['files']['tmp_name'], $dir.$rand.'_'.$file))
			{
				mysql_query("update `users` set `foto` = '".$rand.'_'.$file."' where `id` = ".$user['id']."");
				echo '<div class="forum1">Файл '.$file.' успешно загружен!<br />
				<a href="../p/'.$user['login'].'">Перейти >></a></div>';
				include '../style/'.$style.'/foot.php';
				exit;
			}
			else
			{
				echo '<div class="forum1">Ошибка при загрузке файла!</div>';
				include '../style/'.$style.'/foot.php';
				exit;
			}
		}
		}

	}
}
echo '<div class="mess">
<form action="avatar.php" method="post" enctype="multipart/form-data">
<div><b>Изменить аватар:</b><br />
Выберите файл для загрузки: (50 кб)<br/>
<input name="files" type="file"/><br/>
<input type="submit" value="Загрузить"/></div></form></div>';
include '../style/'.$style.'/foot.php';
?>